unit SOAPServerU;

//The invoker component (THTTPSoapPascalInvoker) converts between
//SOAP messages and the methods of registered interfaces

//The dispatcher component (THTTPSoapDispatcher) automatically
//responds to incoming SOAP messages and forwards them to the invoker
//The dispatcher's WebDispatch property is used to identify the HTTP
//request messages to which your application responds. This involves
//setting the PathInfo property to indicate the path portion of any
//URL directed to your application (soap* by default), and the MethodType
//property to indicate the method header for request messages.

//The WSDL publisher (TWSDLHTMLPublish) allows a WSDL document to be
//published that defines your interfaces and how to call them for
//non-Delphi clients.
//The WebDispatch property specifies the path information of the URL 
//clients must use to access the list of WSDL documents (wsdl* by default).

interface

uses
  SysUtils, Classes, HTTPApp, WSDLPub, SOAPPasInv, SOAPHTTPPasInv,
  SoapHTTPDisp, WebBrokerSOAP;

type
  TWebModule1 = class(TWebModule)
    HTTPSoapDispatcher1: THTTPSoapDispatcher;
    HTTPSoapPascalInvoker1: THTTPSoapPascalInvoker;
    WSDLHTMLPublish1: TWSDLHTMLPublish;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation

{$R *.DFM}

end.
